# Class CIM_SoftwareElementChecks

This association ties a SoftwareElement to a specific Check to validate its state or its movement to the next state. Note that SoftwareElements in a running state cannot transition to another state. Therefore, the value of the Phase property is restricted to 0 ("In-State") for SoftwareElements in the running state.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_SoftwareElementChecks

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This association ties a SoftwareElement to a specific Check to validate its state or its movement to the next state. Note that SoftwareElements in a running state cannot transition to another state. Therefore, the value of the Phase property is restricted to 0 ("In-State") for SoftwareElements in the running state.
UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Phase | uint16 |
Description | string | The Phase property indicates whether the referenced Check is an in-state or a next-state Check.
ValueMap | string | 0, 1
Values | string | In-State, Next-State

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Check | CIM_SoftwareElementChecks | CIM_Check
Element | CIM_SoftwareElementChecks | CIM_SoftwareElement

## Class Methods